Bogdan Savluk avatar Bogdan Savluk committed 74d2cf4

Remove elFinder repository

Comments (0)

Files changed (226)

vendors/elFinder/.git/FETCH_HEAD

-fa198128e9db7e9328413f9bb9e8c75900bfa117		branch '1.x' of https://github.com/Studio-42/elFinder
-bed3b3ae9f13a29f85009cbbdf356806b9aae338	not-for-merge	branch '2.1' of https://github.com/Studio-42/elFinder
-f52000e8cbbd4495cde9ea321ecb62be64010dcd	not-for-merge	branch '2.x' of https://github.com/Studio-42/elFinder
-750c74b89e02109f211e178d5f8d1fbb39fba9b0	not-for-merge	branch 'jake-full-build' of https://github.com/Studio-42/elFinder
-1009b24af5967f9df2d613ac22ae003e7cda2f00	not-for-merge	branch 'website' of https://github.com/Studio-42/elFinder
-fa198128e9db7e9328413f9bb9e8c75900bfa117		branch '1.x' of https://github.com/Studio-42/elFinder
-bed3b3ae9f13a29f85009cbbdf356806b9aae338	not-for-merge	branch '2.1' of https://github.com/Studio-42/elFinder
-f52000e8cbbd4495cde9ea321ecb62be64010dcd	not-for-merge	branch '2.x' of https://github.com/Studio-42/elFinder
-750c74b89e02109f211e178d5f8d1fbb39fba9b0	not-for-merge	branch 'jake-full-build' of https://github.com/Studio-42/elFinder
-1009b24af5967f9df2d613ac22ae003e7cda2f00	not-for-merge	branch 'website' of https://github.com/Studio-42/elFinder

vendors/elFinder/.git/HEAD

-ref: refs/heads/1.x

vendors/elFinder/.git/config

-[core]
-	repositoryformatversion = 0
-	filemode = true
-	bare = false
-	logallrefupdates = true
-	ignorecase = true
-[remote "origin"]
-	fetch = +refs/heads/*:refs/remotes/origin/*
-	url = https://github.com/Studio-42/elFinder.git
-[branch "2.x"]
-	remote = origin
-	merge = refs/heads/2.x
-[branch "1.x"]
-	remote = origin
-	merge = refs/heads/1.x

vendors/elFinder/.git/description

-Unnamed repository; edit this file 'description' to name the repository.

vendors/elFinder/.git/hooks/applypatch-msg.sample

-#!/bin/sh
-#
-# An example hook script to check the commit log message taken by
-# applypatch from an e-mail message.
-#
-# The hook should exit with non-zero status after issuing an
-# appropriate message if it wants to stop the commit.  The hook is
-# allowed to edit the commit message file.
-#
-# To enable this hook, rename this file to "applypatch-msg".
-
-. git-sh-setup
-test -x "$GIT_DIR/hooks/commit-msg" &&
-	exec "$GIT_DIR/hooks/commit-msg" ${1+"$@"}
-:

vendors/elFinder/.git/hooks/commit-msg.sample

-#!/bin/sh
-#
-# An example hook script to check the commit log message.
-# Called by "git commit" with one argument, the name of the file
-# that has the commit message.  The hook should exit with non-zero
-# status after issuing an appropriate message if it wants to stop the
-# commit.  The hook is allowed to edit the commit message file.
-#
-# To enable this hook, rename this file to "commit-msg".
-
-# Uncomment the below to add a Signed-off-by line to the message.
-# Doing this in a hook is a bad idea in general, but the prepare-commit-msg
-# hook is more suited to it.
-#
-# SOB=$(git var GIT_AUTHOR_IDENT | sed -n 's/^\(.*>\).*$/Signed-off-by: \1/p')
-# grep -qs "^$SOB" "$1" || echo "$SOB" >> "$1"
-
-# This example catches duplicate Signed-off-by lines.
-
-test "" = "$(grep '^Signed-off-by: ' "$1" |
-	 sort | uniq -c | sed -e '/^[ 	]*1[ 	]/d')" || {
-	echo >&2 Duplicate Signed-off-by lines.
-	exit 1
-}

vendors/elFinder/.git/hooks/post-commit.sample

-#!/bin/sh
-#
-# An example hook script that is called after a successful
-# commit is made.
-#
-# To enable this hook, rename this file to "post-commit".
-
-: Nothing

vendors/elFinder/.git/hooks/post-receive.sample

-#!/bin/sh
-#
-# An example hook script for the "post-receive" event.
-#
-# The "post-receive" script is run after receive-pack has accepted a pack
-# and the repository has been updated.  It is passed arguments in through
-# stdin in the form
-#  <oldrev> <newrev> <refname>
-# For example:
-#  aa453216d1b3e49e7f6f98441fa56946ddcd6a20 68f7abf4e6f922807889f52bc043ecd31b79f814 refs/heads/master
-#
-# see contrib/hooks/ for a sample, or uncomment the next line and
-# rename the file to "post-receive".
-
-#. /usr/share/doc/git-core/contrib/hooks/post-receive-email

vendors/elFinder/.git/hooks/post-update.sample

-#!/bin/sh
-#
-# An example hook script to prepare a packed repository for use over
-# dumb transports.
-#
-# To enable this hook, rename this file to "post-update".
-
-exec git update-server-info

vendors/elFinder/.git/hooks/pre-applypatch.sample

-#!/bin/sh
-#
-# An example hook script to verify what is about to be committed
-# by applypatch from an e-mail message.
-#
-# The hook should exit with non-zero status after issuing an
-# appropriate message if it wants to stop the commit.
-#
-# To enable this hook, rename this file to "pre-applypatch".
-
-. git-sh-setup
-test -x "$GIT_DIR/hooks/pre-commit" &&
-	exec "$GIT_DIR/hooks/pre-commit" ${1+"$@"}
-:

vendors/elFinder/.git/hooks/pre-commit.sample

-#!/bin/sh
-#
-# An example hook script to verify what is about to be committed.
-# Called by "git commit" with no arguments.  The hook should
-# exit with non-zero status after issuing an appropriate message if
-# it wants to stop the commit.
-#
-# To enable this hook, rename this file to "pre-commit".
-
-if git rev-parse --verify HEAD >/dev/null 2>&1
-then
-	against=HEAD
-else
-	# Initial commit: diff against an empty tree object
-	against=4b825dc642cb6eb9a060e54bf8d69288fbee4904
-fi
-
-# If you want to allow non-ascii filenames set this variable to true.
-allownonascii=$(git config hooks.allownonascii)
-
-# Cross platform projects tend to avoid non-ascii filenames; prevent
-# them from being added to the repository. We exploit the fact that the
-# printable range starts at the space character and ends with tilde.
-if [ "$allownonascii" != "true" ] &&
-	# Note that the use of brackets around a tr range is ok here, (it's
-	# even required, for portability to Solaris 10's /usr/bin/tr), since
-	# the square bracket bytes happen to fall in the designated range.
-	test "$(git diff --cached --name-only --diff-filter=A -z $against |
-	  LC_ALL=C tr -d '[ -~]\0')"
-then
-	echo "Error: Attempt to add a non-ascii file name."
-	echo
-	echo "This can cause problems if you want to work"
-	echo "with people on other platforms."
-	echo
-	echo "To be portable it is advisable to rename the file ..."
-	echo
-	echo "If you know what you are doing you can disable this"
-	echo "check using:"
-	echo
-	echo "  git config hooks.allownonascii true"
-	echo
-	exit 1
-fi
-
-exec git diff-index --check --cached $against --

vendors/elFinder/.git/hooks/pre-rebase.sample

-#!/bin/sh
-#
-# Copyright (c) 2006, 2008 Junio C Hamano
-#
-# The "pre-rebase" hook is run just before "git rebase" starts doing
-# its job, and can prevent the command from running by exiting with
-# non-zero status.
-#
-# The hook is called with the following parameters:
-#
-# $1 -- the upstream the series was forked from.
-# $2 -- the branch being rebased (or empty when rebasing the current branch).
-#
-# This sample shows how to prevent topic branches that are already
-# merged to 'next' branch from getting rebased, because allowing it
-# would result in rebasing already published history.
-
-publish=next
-basebranch="$1"
-if test "$#" = 2
-then
-	topic="refs/heads/$2"
-else
-	topic=`git symbolic-ref HEAD` ||
-	exit 0 ;# we do not interrupt rebasing detached HEAD
-fi
-
-case "$topic" in
-refs/heads/??/*)
-	;;
-*)
-	exit 0 ;# we do not interrupt others.
-	;;
-esac
-
-# Now we are dealing with a topic branch being rebased
-# on top of master.  Is it OK to rebase it?
-
-# Does the topic really exist?
-git show-ref -q "$topic" || {
-	echo >&2 "No such branch $topic"
-	exit 1
-}
-
-# Is topic fully merged to master?
-not_in_master=`git rev-list --pretty=oneline ^master "$topic"`
-if test -z "$not_in_master"
-then
-	echo >&2 "$topic is fully merged to master; better remove it."
-	exit 1 ;# we could allow it, but there is no point.
-fi
-
-# Is topic ever merged to next?  If so you should not be rebasing it.
-only_next_1=`git rev-list ^master "^$topic" ${publish} | sort`
-only_next_2=`git rev-list ^master           ${publish} | sort`
-if test "$only_next_1" = "$only_next_2"
-then
-	not_in_topic=`git rev-list "^$topic" master`
-	if test -z "$not_in_topic"
-	then
-		echo >&2 "$topic is already up-to-date with master"
-		exit 1 ;# we could allow it, but there is no point.
-	else
-		exit 0
-	fi
-else
-	not_in_next=`git rev-list --pretty=oneline ^${publish} "$topic"`
-	/usr/bin/perl -e '
-		my $topic = $ARGV[0];
-		my $msg = "* $topic has commits already merged to public branch:\n";
-		my (%not_in_next) = map {
-			/^([0-9a-f]+) /;
-			($1 => 1);
-		} split(/\n/, $ARGV[1]);
-		for my $elem (map {
-				/^([0-9a-f]+) (.*)$/;
-				[$1 => $2];
-			} split(/\n/, $ARGV[2])) {
-			if (!exists $not_in_next{$elem->[0]}) {
-				if ($msg) {
-					print STDERR $msg;
-					undef $msg;
-				}
-				print STDERR " $elem->[1]\n";
-			}
-		}
-	' "$topic" "$not_in_next" "$not_in_master"
-	exit 1
-fi
-
-exit 0
-
-################################################################
-
-This sample hook safeguards topic branches that have been
-published from being rewound.
-
-The workflow assumed here is:
-
- * Once a topic branch forks from "master", "master" is never
-   merged into it again (either directly or indirectly).
-
- * Once a topic branch is fully cooked and merged into "master",
-   it is deleted.  If you need to build on top of it to correct
-   earlier mistakes, a new topic branch is created by forking at
-   the tip of the "master".  This is not strictly necessary, but
-   it makes it easier to keep your history simple.
-
- * Whenever you need to test or publish your changes to topic
-   branches, merge them into "next" branch.
-
-The script, being an example, hardcodes the publish branch name
-to be "next", but it is trivial to make it configurable via
-$GIT_DIR/config mechanism.
-
-With this workflow, you would want to know:
-
-(1) ... if a topic branch has ever been merged to "next".  Young
-    topic branches can have stupid mistakes you would rather
-    clean up before publishing, and things that have not been
-    merged into other branches can be easily rebased without
-    affecting other people.  But once it is published, you would
-    not want to rewind it.
-
-(2) ... if a topic branch has been fully merged to "master".
-    Then you can delete it.  More importantly, you should not
-    build on top of it -- other people may already want to
-    change things related to the topic as patches against your
-    "master", so if you need further changes, it is better to
-    fork the topic (perhaps with the same name) afresh from the
-    tip of "master".
-
-Let's look at this example:
-
-		   o---o---o---o---o---o---o---o---o---o "next"
-		  /       /           /           /
-		 /   a---a---b A     /           /
-		/   /               /           /
-	       /   /   c---c---c---c B         /
-	      /   /   /             \         /
-	     /   /   /   b---b C     \       /
-	    /   /   /   /             \     /
-    ---o---o---o---o---o---o---o---o---o---o---o "master"
-
-
-A, B and C are topic branches.
-
- * A has one fix since it was merged up to "next".
-
- * B has finished.  It has been fully merged up to "master" and "next",
-   and is ready to be deleted.
-
- * C has not merged to "next" at all.
-
-We would want to allow C to be rebased, refuse A, and encourage
-B to be deleted.
-
-To compute (1):
-
-	git rev-list ^master ^topic next
-	git rev-list ^master        next
-
-	if these match, topic has not merged in next at all.
-
-To compute (2):
-
-	git rev-list master..topic
-
-	if this is empty, it is fully merged to "master".

vendors/elFinder/.git/hooks/prepare-commit-msg.sample

-#!/bin/sh
-#
-# An example hook script to prepare the commit log message.
-# Called by "git commit" with the name of the file that has the
-# commit message, followed by the description of the commit
-# message's source.  The hook's purpose is to edit the commit
-# message file.  If the hook fails with a non-zero status,
-# the commit is aborted.
-#
-# To enable this hook, rename this file to "prepare-commit-msg".
-
-# This hook includes three examples.  The first comments out the
-# "Conflicts:" part of a merge commit.
-#
-# The second includes the output of "git diff --name-status -r"
-# into the message, just before the "git status" output.  It is
-# commented because it doesn't cope with --amend or with squashed
-# commits.
-#
-# The third example adds a Signed-off-by line to the message, that can
-# still be edited.  This is rarely a good idea.
-
-case "$2,$3" in
-  merge,)
-    /usr/bin/perl -i.bak -ne 's/^/# /, s/^# #/#/ if /^Conflicts/ .. /#/; print' "$1" ;;
-
-# ,|template,)
-#   /usr/bin/perl -i.bak -pe '
-#      print "\n" . `git diff --cached --name-status -r`
-#	 if /^#/ && $first++ == 0' "$1" ;;
-
-  *) ;;
-esac
-
-# SOB=$(git var GIT_AUTHOR_IDENT | sed -n 's/^\(.*>\).*$/Signed-off-by: \1/p')
-# grep -qs "^$SOB" "$1" || echo "$SOB" >> "$1"

vendors/elFinder/.git/hooks/update.sample

-#!/bin/sh
-#
-# An example hook script to blocks unannotated tags from entering.
-# Called by "git receive-pack" with arguments: refname sha1-old sha1-new
-#
-# To enable this hook, rename this file to "update".
-#
-# Config
-# ------
-# hooks.allowunannotated
-#   This boolean sets whether unannotated tags will be allowed into the
-#   repository.  By default they won't be.
-# hooks.allowdeletetag
-#   This boolean sets whether deleting tags will be allowed in the
-#   repository.  By default they won't be.
-# hooks.allowmodifytag
-#   This boolean sets whether a tag may be modified after creation. By default
-#   it won't be.
-# hooks.allowdeletebranch
-#   This boolean sets whether deleting branches will be allowed in the
-#   repository.  By default they won't be.
-# hooks.denycreatebranch
-#   This boolean sets whether remotely creating branches will be denied
-#   in the repository.  By default this is allowed.
-#
-
-# --- Command line
-refname="$1"
-oldrev="$2"
-newrev="$3"
-
-# --- Safety check
-if [ -z "$GIT_DIR" ]; then
-	echo "Don't run this script from the command line." >&2
-	echo " (if you want, you could supply GIT_DIR then run" >&2
-	echo "  $0 <ref> <oldrev> <newrev>)" >&2
-	exit 1
-fi
-
-if [ -z "$refname" -o -z "$oldrev" -o -z "$newrev" ]; then
-	echo "Usage: $0 <ref> <oldrev> <newrev>" >&2
-	exit 1
-fi
-
-# --- Config
-allowunannotated=$(git config --bool hooks.allowunannotated)
-allowdeletebranch=$(git config --bool hooks.allowdeletebranch)
-denycreatebranch=$(git config --bool hooks.denycreatebranch)
-allowdeletetag=$(git config --bool hooks.allowdeletetag)
-allowmodifytag=$(git config --bool hooks.allowmodifytag)
-
-# check for no description
-projectdesc=$(sed -e '1q' "$GIT_DIR/description")
-case "$projectdesc" in
-"Unnamed repository"* | "")
-	echo "*** Project description file hasn't been set" >&2
-	exit 1
-	;;
-esac
-
-# --- Check types
-# if $newrev is 0000...0000, it's a commit to delete a ref.
-zero="0000000000000000000000000000000000000000"
-if [ "$newrev" = "$zero" ]; then
-	newrev_type=delete
-else
-	newrev_type=$(git cat-file -t $newrev)
-fi
-
-case "$refname","$newrev_type" in
-	refs/tags/*,commit)
-		# un-annotated tag
-		short_refname=${refname##refs/tags/}
-		if [ "$allowunannotated" != "true" ]; then
-			echo "*** The un-annotated tag, $short_refname, is not allowed in this repository" >&2
-			echo "*** Use 'git tag [ -a | -s ]' for tags you want to propagate." >&2
-			exit 1
-		fi
-		;;
-	refs/tags/*,delete)
-		# delete tag
-		if [ "$allowdeletetag" != "true" ]; then
-			echo "*** Deleting a tag is not allowed in this repository" >&2
-			exit 1
-		fi
-		;;
-	refs/tags/*,tag)
-		# annotated tag
-		if [ "$allowmodifytag" != "true" ] && git rev-parse $refname > /dev/null 2>&1
-		then
-			echo "*** Tag '$refname' already exists." >&2
-			echo "*** Modifying a tag is not allowed in this repository." >&2
-			exit 1
-		fi
-		;;
-	refs/heads/*,commit)
-		# branch
-		if [ "$oldrev" = "$zero" -a "$denycreatebranch" = "true" ]; then
-			echo "*** Creating a branch is not allowed in this repository" >&2
-			exit 1
-		fi
-		;;
-	refs/heads/*,delete)
-		# delete branch
-		if [ "$allowdeletebranch" != "true" ]; then
-			echo "*** Deleting a branch is not allowed in this repository" >&2
-			exit 1
-		fi
-		;;
-	refs/remotes/*,commit)
-		# tracking branch
-		;;
-	refs/remotes/*,delete)
-		# delete tracking branch
-		if [ "$allowdeletebranch" != "true" ]; then
-			echo "*** Deleting a tracking branch is not allowed in this repository" >&2
-			exit 1
-		fi
-		;;
-	*)
-		# Anything else (is there anything else?)
-		echo "*** Update hook: unknown type of update to ref $refname of type $newrev_type" >&2
-		exit 1
-		;;
-esac
-
-# --- Finished
-exit 0
Add a comment to this file

vendors/elFinder/.git/index

Binary file removed.

vendors/elFinder/.git/info/exclude

-# git ls-files --others --exclude-from=.git/info/exclude
-# Lines that start with '#' are comments.
-# For a project mostly in C, the following would be a good set of
-# exclude patterns (uncomment them if you want to use them):
-# *.[oa]
-# *~

vendors/elFinder/.git/logs/HEAD

-0000000000000000000000000000000000000000 db8df5727799244f084f8edbdb263caab10ad0be Bogdan Savluk <Savluk.Bogdan@gmail.com> 1340384899 +0300	clone: from https://github.com/Studio-42/elFinder.git
-db8df5727799244f084f8edbdb263caab10ad0be fa198128e9db7e9328413f9bb9e8c75900bfa117 Bogdan Savluk <Savluk.Bogdan@gmail.com> 1340384971 +0300	checkout: moving from 2.x to 1.x

vendors/elFinder/.git/logs/refs/heads/1.x

-0000000000000000000000000000000000000000 fa198128e9db7e9328413f9bb9e8c75900bfa117 Bogdan Savluk <Savluk.Bogdan@gmail.com> 1340384971 +0300	branch: Created from origin/1.x

vendors/elFinder/.git/logs/refs/heads/2.x

-0000000000000000000000000000000000000000 db8df5727799244f084f8edbdb263caab10ad0be Bogdan Savluk <Savluk.Bogdan@gmail.com> 1340384899 +0300	clone: from https://github.com/Studio-42/elFinder.git

vendors/elFinder/.git/logs/refs/remotes/origin/2.1

-64a02479239c38b34bbf007d231bc9013a8baa1b bed3b3ae9f13a29f85009cbbdf356806b9aae338 Bogdan Savluk <z_bodya@zxbodya-laptop.local> 1340627510 +0300	fetch origin: fast-forward

vendors/elFinder/.git/logs/refs/remotes/origin/2.x

-db8df5727799244f084f8edbdb263caab10ad0be 4def57a76d3f415599a3d614cfb2e778d777c809 Bogdan Savluk <z_bodya@zxbodya-laptop.local> 1340392083 +0300	fetch origin: fast-forward
-4def57a76d3f415599a3d614cfb2e778d777c809 f52000e8cbbd4495cde9ea321ecb62be64010dcd Bogdan Savluk <z_bodya@zxbodya-laptop.local> 1340627510 +0300	fetch origin: fast-forward
Add a comment to this file

vendors/elFinder/.git/objects/06/223c09a505a0c916e51175eef6a2695940fc0e

Binary file removed.

Add a comment to this file

vendors/elFinder/.git/objects/0d/c7eeeea0dc25c52bc30bfaf7f685266ee48667

Binary file removed.

Add a comment to this file

vendors/elFinder/.git/objects/11/5fe1775b1468f4cf5f73dad5524291fa6deb1c

Binary file removed.

Add a comment to this file

vendors/elFinder/.git/objects/20/5c845d44c7b69b5a81bd6ada4a4ceba7d75f92

Binary file removed.

Add a comment to this file

vendors/elFinder/.git/objects/23/32262a700609049e2d94fb5914197256dea3ea

Binary file removed.

Add a comment to this file

vendors/elFinder/.git/objects/24/cdc041684c06e7c0444130619ef85ad6c8f5e9

Binary file removed.

Add a comment to this file

vendors/elFinder/.git/objects/28/916e5d7161d58ef63aa14ce428bc68bf2c3b32

Binary file removed.

Add a comment to this file

vendors/elFinder/.git/objects/28/a79ff26451b529c06a62e6d3f5bd405a10ca37

Binary file removed.

Add a comment to this file

vendors/elFinder/.git/objects/2c/0ec2f741c5fa8068b1d75f94d66816eeefdd3e

Binary file removed.

Add a comment to this file

vendors/elFinder/.git/objects/2e/23331928efe15c536b413d47b7d4871ea707ad

Binary file removed.

Add a comment to this file

vendors/elFinder/.git/objects/35/05d738b17009ea2e969c5209a4748da57f89a1

Binary file removed.

Add a comment to this file

vendors/elFinder/.git/objects/3e/85e033b230d95bab03fa571775392717c0ab21

Binary file removed.

Add a comment to this file

vendors/elFinder/.git/objects/44/845db8eb41640b35aaf61aecf60854467d2007

Binary file removed.

Add a comment to this file

vendors/elFinder/.git/objects/44/def51c662f16de35490734187a4acd018cb0e9

Binary file removed.

vendors/elFinder/.git/objects/4d/ef57a76d3f415599a3d614cfb2e778d777c809

-x��Aj1
-SM�"�8g
-����z���H�
Add a comment to this file

vendors/elFinder/.git/objects/4f/ab35c54d074bdf7e92d7f5c318483d344aed56

Binary file removed.

Add a comment to this file

vendors/elFinder/.git/objects/4f/ed97078790736f3ba24851ec1a1687cae15f25

Binary file removed.

Add a comment to this file

vendors/elFinder/.git/objects/52/77aab80f31fcc0290983885c04ecac8e99a7d3

Binary file removed.

vendors/elFinder/.git/objects/54/dd75f052659510a7d183c3e5adc40d94cef0dc

-x��AN�0
Add a comment to this file

vendors/elFinder/.git/objects/57/f1adfd30fe0ece7d57fc66573d5ba6315b1fb1

Binary file removed.

Add a comment to this file

vendors/elFinder/.git/objects/60/fca7d85040861d208f607c18c61ad0aa1677a6

Binary file removed.

Add a comment to this file

vendors/elFinder/.git/objects/61/d259fd8859e4ad808f60bb6953694606b6013c

Binary file removed.

Add a comment to this file

vendors/elFinder/.git/objects/62/3a6b4b578dd7d018262c53d4881cfdbb327882

Binary file removed.

Add a comment to this file

vendors/elFinder/.git/objects/62/596824d30e0e8ff36cf6e9dd5a20d53445575e

Binary file removed.

Add a comment to this file

vendors/elFinder/.git/objects/68/14b8ef1d0f9f69f8e0748f3322324bad77bdd4

Binary file removed.

Add a comment to this file

vendors/elFinder/.git/objects/69/66af82ad259db7ddec9004f7a02fac870acf5f

Binary file removed.

Add a comment to this file

vendors/elFinder/.git/objects/69/d954c63f034031e98454e5ad876543bf8acb97

Binary file removed.

Add a comment to this file

vendors/elFinder/.git/objects/6a/22a35af3551773afdf67df64d45a891421aee6

Binary file removed.

Add a comment to this file

vendors/elFinder/.git/objects/6c/3900805777d37387d14c3e57b2573ad3b218ab

Binary file removed.

Add a comment to this file

vendors/elFinder/.git/objects/70/e0d899577fdd96076f2ba9b65641d8459601d4

Binary file removed.

Add a comment to this file

vendors/elFinder/.git/objects/73/98b44fad86aa1dd5f1e406b34b5c23c527d42b

Binary file removed.

Add a comment to this file

vendors/elFinder/.git/objects/75/fbbe7e037a04e45b74c1a93b4677c69b4c8729

Binary file removed.

Add a comment to this file

vendors/elFinder/.git/objects/78/2039ac68485b511483680600b714dfdb10866e

Binary file removed.

Add a comment to this file

vendors/elFinder/.git/objects/78/2970ca0e0d265445a69563f6ee0968803f67a8

Binary file removed.

Add a comment to this file

vendors/elFinder/.git/objects/80/1e8c6560b50a47d9951d06be7091e3d089ce4a

Binary file removed.

Add a comment to this file

vendors/elFinder/.git/objects/82/c562a59193f933e7a1eccb8a9cbef277b2dc38

Binary file removed.

Add a comment to this file

vendors/elFinder/.git/objects/84/5f97b55c737b7d1e2fcdf508a46e2369fa30b4

Binary file removed.

Add a comment to this file

vendors/elFinder/.git/objects/84/9b91ac9ef954fecf011bd6ec6aefbe0f7cb6b8

Binary file removed.

Add a comment to this file

vendors/elFinder/.git/objects/88/9a1fe0ebbf12d710b79335cc6c3a57024f00cd

Binary file removed.

Add a comment to this file

vendors/elFinder/.git/objects/8b/f01a1c750c9b6fa2ec8d909e34928c710b3b53

Binary file removed.

Add a comment to this file

vendors/elFinder/.git/objects/90/05b911beef2fd02563f66b2d41b1f5bbbf12c6

Binary file removed.

Add a comment to this file

vendors/elFinder/.git/objects/93/0ba0a1269b78a00fdbed1a8ea22ccf54eeae60

Binary file removed.

Add a comment to this file

vendors/elFinder/.git/objects/97/b08e28eae29f5eb236e8d7cb096de3854b51d1

Binary file removed.

Add a comment to this file

vendors/elFinder/.git/objects/98/4c82a7c0d4a505b21e86dc6af9c791732213c4

Binary file removed.

Add a comment to this file

vendors/elFinder/.git/objects/9a/4cafe497b6c4945db4a3a180a7c28090ef803c

Binary file removed.

Add a comment to this file

vendors/elFinder/.git/objects/9a/53f2901d05b90f1a67199f94183713001b455d

Binary file removed.

Add a comment to this file

vendors/elFinder/.git/objects/a0/95acb5e9b902ce17022a9a992842a008a9ad6d

Binary file removed.

Add a comment to this file

vendors/elFinder/.git/objects/a5/2957acf34d79fadd08d09021b20d404a168d97

Binary file removed.

Add a comment to this file

vendors/elFinder/.git/objects/a5/3328ec056e5b65d5368e605096ec6baf1bd3b5

Binary file removed.

Add a comment to this file

vendors/elFinder/.git/objects/a6/8564a0c4d7c3aa6f5d779ffedd31a0c11044b4

Binary file removed.

Add a comment to this file

vendors/elFinder/.git/objects/a9/e06eb89aacde04c471953c144acfd2ef2a8266

Binary file removed.

Add a comment to this file

vendors/elFinder/.git/objects/b0/95ad22ee77cb3b4747afd7e436ff70cdb357a1

Binary file removed.

Add a comment to this file

vendors/elFinder/.git/objects/b1/19471b98c1d48462112160e6de608b831fd26a

Binary file removed.

Add a comment to this file

vendors/elFinder/.git/objects/b1/9484febed6003237c63427e611d2e3e4afd3c7

Binary file removed.

Add a comment to this file

vendors/elFinder/.git/objects/b2/37206603ba2589f1767d82b63daf7e4531e4d9

Binary file removed.

Add a comment to this file

vendors/elFinder/.git/objects/b8/7aa60c4fdde341b158177dd0c9203560261d66

Binary file removed.

Add a comment to this file

vendors/elFinder/.git/objects/bb/3db6e61f26a199e10468b1257e03549d3e0bac

Binary file removed.

vendors/elFinder/.git/objects/be/d3b3ae9f13a29f85009cbbdf356806b9aae338

-x��AN�0
Add a comment to this file

vendors/elFinder/.git/objects/ca/a4e755478cb5b8617568e62efce65927485c89

Binary file removed.

Add a comment to this file

vendors/elFinder/.git/objects/cb/01e7354196cbf5a223acda9093b498e036108f

Binary file removed.

Add a comment to this file

vendors/elFinder/.git/objects/ce/e319175e71c02257ac1b016862695b9b6449f4

Binary file removed.

Add a comment to this file

vendors/elFinder/.git/objects/d0/1f4328e5bbb45eac821ad3a8f0a8ffd64b320d

Binary file removed.

Add a comment to this file

vendors/elFinder/.git/objects/d1/a65073ff4c1b8abb8136eccd9859b2711e3185

Binary file removed.

vendors/elFinder/.git/objects/d1/d0582fb106582dd93cb54aa0c5546caf0fcec1

-x��K
-1D]�
-ɉ;���
-d_��D�
Add a comment to this file

vendors/elFinder/.git/objects/d2/d09518c0aa983560996328ebd233020275f823

Binary file removed.

Add a comment to this file

vendors/elFinder/.git/objects/d8/ad4b2184f03a3b91a93fe536fe43cffca53626

Binary file removed.

Add a comment to this file

vendors/elFinder/.git/objects/d8/b5adb503480a7d416c5b6e442e097a7fa1df55

Binary file removed.

vendors/elFinder/.git/objects/da/7130809694552a93b226fcaa57859da7c96294

-x��;�0D�}�-AHhYb$�((��?k�Eb�8�
-�qB�­m,
Add a comment to this file

vendors/elFinder/.git/objects/dd/e5c894ea838ec2b3400c4b640baf2402aef02d

Binary file removed.

Add a comment to this file

vendors/elFinder/.git/objects/df/c5af35a2fc6671ca672587f474e8d0bff0f940

Binary file removed.

Add a comment to this file

vendors/elFinder/.git/objects/e1/c2c2a7f989af2f52ccd1ea065c7f6200ff6555

Binary file removed.

Add a comment to this file

vendors/elFinder/.git/objects/e6/7a9029c0599c1f4ace93e4ba749d342aaf1f7c

Binary file removed.

Add a comment to this file

vendors/elFinder/.git/objects/ee/a6a94e3880dc39ded1d0980924d197097355e2

Binary file removed.

Add a comment to this file

vendors/elFinder/.git/objects/ef/438944d7d8c34525a38e8e1c82920119f3708b

Binary file removed.

Add a comment to this file

vendors/elFinder/.git/objects/f5/2000e8cbbd4495cde9ea321ecb62be64010dcd

Binary file removed.

vendors/elFinder/.git/objects/ff/fbc3b364038f2e0e1e9753904c4a8be87ccec6

-x��=nA
Add a comment to this file

vendors/elFinder/.git/objects/pack/pack-f0a1f77468a2558640777bf5a83617667efd337d.idx

Binary file removed.

Add a comment to this file

vendors/elFinder/.git/objects/pack/pack-f0a1f77468a2558640777bf5a83617667efd337d.pack

Binary file removed.

vendors/elFinder/.git/packed-refs

-# pack-refs with: peeled 
-bcf1d41226b19dfda90a92de66d69a53ab718b4e refs/tags/2.0-rc1
-dd28d7914ce2d59e355ab2abbd17ad9d1dab4cbe refs/tags/2.0-beta
-8b30e82b5fd8f1799831516c62bf012bad65b5a5 refs/tags/1.2
-fd543b0b07aac8864dba68eca21ddde60b2b5ef6 refs/tags/1.1
-975a47f223ef2cef95513d8c2c4aaced59a076be refs/tags/1.0.1
-1009b24af5967f9df2d613ac22ae003e7cda2f00 refs/remotes/origin/website
-750c74b89e02109f211e178d5f8d1fbb39fba9b0 refs/remotes/origin/jake-full-build
-db8df5727799244f084f8edbdb263caab10ad0be refs/remotes/origin/2.x
-64a02479239c38b34bbf007d231bc9013a8baa1b refs/remotes/origin/2.1
-fa198128e9db7e9328413f9bb9e8c75900bfa117 refs/remotes/origin/1.x

vendors/elFinder/.git/refs/heads/1.x

-fa198128e9db7e9328413f9bb9e8c75900bfa117

vendors/elFinder/.git/refs/heads/2.x

-db8df5727799244f084f8edbdb263caab10ad0be

vendors/elFinder/.git/refs/remotes/origin/2.1

-bed3b3ae9f13a29f85009cbbdf356806b9aae338

vendors/elFinder/.git/refs/remotes/origin/2.x

-f52000e8cbbd4495cde9ea321ecb62be64010dcd

vendors/elFinder/.git/refs/remotes/origin/HEAD

-ref: refs/remotes/origin/2.x

vendors/elFinder/.git/sourcetreeconfig

-lastUsedView=1
-autorefresh=1
-savedIncoming=0
-lastCheckedRemotes=2012-06-25 12:31:50 +0000
-savedOutgoing=0
-autorefreshremotes=1

vendors/elFinder/.gitignore

-*~
-._*
-_*
-.DS_Store
-

vendors/elFinder/Changelog

-2011-06-20  Troex Nevelin  <troex@fury.scancode.ru>
-
-	* elFinder (1.2):
-		- jQuery and UI updated
-		- Python connector improvements
-		- QuickLook fixed
-		- CSS fixes
-		- New icons from http://pixel-mixer.com/
-		- New languages: Czech, Dutch, German, Greek, French, Hungarian, Italian, Japanese, Latvian
-		  Polish, Brazilian Portuguese, Slovak, Thai, Turkish, Vietnamese, Simplified Chinese,
-		  Traditional Chinese
-
-
-2010-03-11  Troex Nevelin  <troex@fury.scancode.ru>
-
-	* elFinder (1.1):
-		- Total rewrite from scratch.
-		- New PHP connector.
-		- Python connector.
-		- Create/Extract archives.
-		- QuickLook.
-		- "Places" for favorites.
-		- Background thumbnails creation.
-		- Exteneded configuration options of connector and client.
-		- Spanish localization.
-		- JSON API description.
-		- Full documentation in English, Russian and Spanish.
-		- No more use of jquery plugins.
-		- Website update.
-		- [bugfix] All known bugs fixed.
-
-
-2009-11-09  Dmitry Levashov  <dio@std42.ru>
-
-	* elFinder (1.0.1):
-		- In directory tree panel added arrows to open/close directories
-		  without entering in.
-		- Added shortcut support for copy/cut/paste/delete files and
-		  folders. For Mac users added Command+Backspace support.
-		- Added context menu to current directory.
-		- Added help.
-		- [bugfix] invalid determing files/folders permissions using
-		  "perms" options in php connector
-

vendors/elFinder/README

-      _ ______ _           _           
-     | |  ____(_)         | |          
-  ___| | |__   _ _ __   __| | ___ _ __ 
- / _ \ |  __| | | '_ \ / _` |/ _ \ '__|
-|  __/ | |    | | | | | (_| |  __/ |   
- \___|_|_|    |_|_| |_|\__,_|\___|_|   
-
-
-
-Description
-===========
-
-Homepage:  http://elrte.org/elfinder
-E-mail:    dev@std42.ru
-
-elFinder is an open-source file manager for web, written in JavaScript using
-jQuery UI. As you can see its creation is inspired by simplicity and convenience
-of Finder program used in Mac OS X operating system.
-
-
-Features
-========
-
- * All general operations with files and folders on a remote server (copy, move,
-   upload, create folder/file, rename, etc.)
- * Two types of view: list and icons
- * High performance of server and client parts
- * Multifile upload
- * Standart methods of file/group selection using mouse or keyboard
- * Context menu
- * "Hot keys" for most actions
- * Move/Copy files with Drag & Drop
- * Work with archives
- * Preview for most types of files
- * Edit text files and resize images
- * "Places" for your favorites
- * Calculate directory sizes
- * Background creation of thumbnails for image files
- * Easy to integrate with web editors (elRTE, CKEditor, TinyMCE)
- * Flexible configuration of access rights, upload file types, user interface
-   and other
- * Extensibility
- * Simple client-server API based on JSON
-
-
-Requirements
-============
-
-Client:
- * Modern browser. elFinder was tested in Firefox 3.5+, Internet Explorer 7 & 8,
-   Safari 4, Opera 10 and Chrome
-Server:
- * Connector, at the moment there are connectors for PHP and Python
- * Image preview requires:
-   - PHP: mogrify utility or GD/Imagick module
-   - Python: PIL library
-
-
-Documentation
-=============
-
-http://elrte.org/redmine/projects/elfinder/wiki
-
-
-Authors
-=======
-
-JavaScript and PHP connector: Dmitry "dio" Levashov <dio@std42.ru>
-Python connector, testing, support: Troex Nevelin <troex@fury.scancode.ru>
-Design: Valentin Razumnyh
-
-We hope our tools will be helpful for you.
-
-
-License:
-========
-
-elFinder is issued under a 3-clauses BSD license.
-elFinder uses and comes with jQuery and jQuery-UI witch are issued under
-MIT and GPL licenses.
-
-
-This software is available under a 3-clauses BSD license:
-
-Copyright (c) 2009-2011, Studio 42 Ltd.
-All rights reserved.
-
-Redistribution and use in source and binary forms, with or without
-modification, are permitted provided that the following conditions are met:
-    * Redistributions of source code must retain the above copyright
-      notice, this list of conditions and the following disclaimer.
-    * Redistributions in binary form must reproduce the above copyright
-      notice, this list of conditions and the following disclaimer in the
-      documentation and/or other materials provided with the distribution.
-    * Neither the name of the Studio 42 Ltd. nor the
-      names of its contributors may be used to endorse or promote products
-      derived from this software without specific prior written permission.
-
-THIS SOFTWARE IS PROVIDED BY Studio 42 Ltd. ''AS IS'' AND ANY
-EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
-WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
-DISCLAIMED. IN NO EVENT SHALL Studio 42 Ltd. BE LIABLE FOR ANY
-DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
-(INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
-LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
-ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
-(INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
-SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-

vendors/elFinder/connectors/.gitignore

-*

vendors/elFinder/connectors/perl/connector.pl

-#!/usr/bin/perl
-
-use lib '/home/troex/Sites/git/elfinder/src/connectors/perl';
-use CGI qw/:standard -debug/;
-use Data::Dumper;
-use elFinder;
-use JSON::XS;
-
-
-$| = 1;
-$, = "\n";
-
-
-	my %opts = (
-		'root'            => '../git/elfinder/files/wiki/',
-		'URL'             => 'http://localhost:8001/~troex/git/elfinder/files/wiki'
-	);
-
-$elfinder = new elFinder(%opts);
-
-print header(-type => 'text/html', -charset => 'utf-8');
-
-#print "<pre>";
-
-$cgi = CGI->new;
-
-@params = $cgi->param;
-my %request;
-for (@params)
-{
-
-	next if $_ eq '_';
-	#print $_." => ".$cgi->param($_);
-	#print "<br>";
-	$request{$_} = $cgi->param($_);
-}
-
-#print @names;
-#print '<br>';
-#print Dumper($elfinder->{CONF});
-#print Dumper(keys(%request));
-#print Dumper(values(%request));
-#print "WOW!";
-
-#print $request{'cmd'};
-
-$elfinder->run(%request);
-# print Dumper(%request);
-
-#print Dumper($elfinder->{REQUEST});
-#print Dumper($elfinder->{RES});
-
-
-my $json_xs = JSON::XS->new();
-#$json_xs->ascii(1);
-$json_xs->pretty(1);
-
-print $json_xs->encode($elfinder->{RES});
-

vendors/elFinder/connectors/perl/connector2.pl

-#!/usr/bin/perl
-
-use lib "/home/troex/Sites/git/elfinder/src/connectors/perl";
-
-use strict;
-use JSON::XS;
-#use Libs::API;
-use elFinder;
-
-
-&MainFunc;
-
-sub MainFunc
-{
-	open(OLDERR,">&STDERR");
-	open(STDERR,">>debug.core");
-
-	my %opts = (
-		'root'            => '../git/elfinder/files/',
-		'URL'             => 'http://localhost:8001/~troex/git/elfinder/files',
-		'fileURL'         => 'false',
-		'rootAlias'       => 'Home',
-		'DirConf'         => 'Config', # Каталог с конфигурацией
-		'archiveMimes'    => [],
-		'archivers'       => []
-	);
-
-	#my $API = new Libs::API('web.cfg'); # Нужно для выдачи Content-Type для JSON
-
-	my $elFinder = new elFinder(%opts);
-	my %All = $elFinder->_run();
-	my $json_xs = JSON::XS->new();
-	$json_xs->ascii(1);
-	$json_xs->pretty(1);
-
-	my $JSON = $json_xs->encode($elFinder->{RES});
-	#$JSON =~ s/\//\\\//mg;
-	print "Content-type: text/html\n";
-
-	print $JSON;
-	#print Libs::API::PrintCTYPE($API,'JSON')."\n".$JSON; # Выдает Content-Type для JSON
-	#print "Content-type: application/json\n";
-	print STDERR $JSON;
-
-	close(STDERR);
-	open(STDERR,">&OLDERR");
-	close(OLDERR);
-}

vendors/elFinder/connectors/perl/elFinder.pm

-package elFinder;
-
-require 5.004;
-use strict;
-use vars qw/$VERSION $DIRECTORY_SEPARATOR/;
-
-use Digest::MD5 qw(md5_hex);
-
-$VERSION = "0.1.0-dev"; # Версия движка и API
-$DIRECTORY_SEPARATOR = '/';
-
-
-
-sub new
-{ # Создание нового класса. Отсюда начинается класс
-	my ($class, %cfg) = @_; #Mod - список модулей для загрузки
-	my $self = bless {}, $class;
-
-	%{$self->{CONF}} = (
-		'root'         => '',           # path to root directory
-		'URL'          => '',           # root directory URL
-		'rootAlias'    => 'Home',       # display this instead of root directory name
-		'disabled'     => [],           # list of not allowed commands
-		'dotFiles'     => 'false',      # display dot files
-		'dirSize'      => 'true',       # count total directories sizes
-		'fileMode'     => 0666,         # new files mode
-		'dirMode'      => 0777,         # new folders mode
-		'mimeDetect'   => 'auto',       # files mimetypes detection method (finfo, mime_content_type, linux (file -ib), bsd (file -Ib), internal (by extensions))
-		'uploadAllow'  => [],           # mimetypes which allowed to upload
-		'uploadDeny'   => [],           # mimetypes which not allowed to upload
-		'uploadOrder'  => 'deny,allow', # order to proccess uploadAllow and uploadAllow options
-		'imgLib'       => 'auto',       # image manipulation library (imagick, mogrify, gd)
-		'tmbDir'       => '.tmb',       # directory name for image thumbnails. Set to "" to avoid thumbnails generation
-		'tmbCleanProb' => 1,            # how frequiently clean thumbnails dir (0 - never, 200 - every init request)
-		'tmbAtOnce'    => 5,            # number of thumbnails to generate per request
-		'tmbSize'      => 48,           # images thumbnails size (px)
-		'fileURL'      => 'true',       # display file URL in "get info"
-		'DateTimeFormat'=> '%d-%m-%Y %H:%i:%S', # file modification date format
-		'@Months'      => 'Январь,Февраль,Март,Апрель,Май,Июнь,Июль,Август,Сентябрь,Октябрь,Ноябрь,Декабрь',
-		'@WeekDays'    => 'Воскресенье,Понедельник,Вторник,Среда,Четвер,Пятница,Суббота',
-		'logger'       => 'null',       # object logger
-		'aclObj'       => 'null',       # acl object (not implemented yet)
-		'aclRole'      => 'user',       # role for acl
-		'defaults'     => {             # default permisions
-			'read'   => 'true',
-			'write'  => 'true',
-			'rm'     => 'true'
-		},
-		'perms'        => [],           # individual folders/files permisions     
-		'debug'        => 'false',      # send debug to client
-		'archiveMimes' => [],           # allowed archive's mimetypes to create. Leave empty for all available types.
-		'archivers'    => [],           # info about archivers to use. See example below. Leave empty for auto detect
-		'uplMaxSize'   => '8Mb'
-	);
-	$self->{CONF} = { %{$self->{CONF}}, %cfg };     # Чтение файла конфигурации
-	# { %{$self->{CONF}},Libs::ReadF::LoadCfgDB($self,'') }
-	#($self->{FORM}, $self->{URL}) = Libs::Web::ReadForms($self); # Чтение и разбор строки URL, multipart, forms
-	#%{$self->{CTYPE}} = Libs::ReadF::LoadCfg($self,"$self->{CONF}->{'DirConf'}/mime.types",1); # mime.types для правильного вывода садержимого
-	%{$self->{RES}} = ();
-
-	if (substr($self->{CONF}->{'root'}, -1) eq $DIRECTORY_SEPARATOR)
-	{
-		$self->{CONF}->{'root'} = substr($self->{CONF}->{'root'}, 0, -1); # Убираем последний /
-	}
-	if (substr($self->{CONF}->{'URL'}, -1) eq $DIRECTORY_SEPARATOR)
-	{
-		$self->{CONF}->{'URL'} = substr($self->{CONF}->{'URL'}, 0, -1); # Убираем последний /
-	}
-	
-	%{$self->{CMD}} = (
-		'open'      => '_open',
-		'reload'    => '_reload',
-		'mkdir'     => '_mkdir',
-		'mkfile'    => '_mkfile',
-		'rename'    => '_rename',
-		'upload'    => '_upload',
-		'paste'     => '_paste',
-		'rm'        => '_rm',
-		'duplicate' => '_duplicate',
-		'read'      => '_fread',
-		'edit'      => '_edit',
-		'archive'   => '_archive',
-		'extract'   => '_extract',
-		'resize'    => '_resize',
-		'tmb'       => '_thumbnails',
-		'ping'      => '_ping'
-		);
-	
-	%{$self->{REQUEST}} = ();
-
-	return $self;
-}
-
-
-
-
-sub run
-{
-	my ($self, %request) = @_;
-	
-	if ($self->{CONF}->{'root'} eq '' || is_dir($self->{CONF}->{'root'}) eq 'false')
-	{
-		$self->{RES}->{'error'} = 'Invalid backend configuration';
-		return;
-	}
-	if (!_isAllowed($self, $self->{CONF}->{'root'}, 'read'))
-	{
-		$self->{RES}->{'error'} = 'Access denied';
-		return;
-	}
-	$self->{REQUEST} = { %request };
-	
-	my $cmd = $self->{REQUEST}->{'cmd'};
-	if (exists $self->{REQUEST}->{'init'})
-	{
-		my $ts = $self->_utime();
-		$self->{RES}->{'disabled'} = $self->{CONF}->{'disabled'};
-		%{$self->{RES}->{'params'}} = (
-			'dotFiles'   => $self->{CONF}->{'dotFiles'},
-			'uplMaxSize' => $self->{CONF}->{'uplMaxSize'},
-			'archives'   => [],
-			'extract'    => [],
-			'url'        => $self->{CONF}->{'fileURL'} eq 'true' ? $self->{CONF}->{'URL'} : ''
-		);
-
-		#if (isset($this->_commands['archive']) || isset($this->_commands['extract'])) {
-		#$this->_checkArchivers();
-		#if (isset($this->_commands['archive'])) {
-		#$this->_result['params']['archives'] = $this->_options['archiveMimes'];
-		#}
-		#if (isset($this->_commands['extract'])) {
-		#$this->_result['params']['extract'] = array_keys($this->_options['archivers']['extract']);
-		#}
-		#}
-
-		## clean thumbnails dir
-		if ($self->{CONF}->{'tmbDir'} ne '')
-		{
-			srand(time() * 1000000);
-			if (rand(200) <= $self->{CONF}->{'tmbCleanProb'})
-			{
-				my $ts2 = $self->_utime();
-				opendir(DIR, $self->{CONF}->{'tmbDir'});
-				my @content = grep {!/^\.{1,2}$/} sort readdir(DIR);
-				closedir(DIR);
-				foreach my $subdir (@content)
-				{
-					unlink($self->{CONF}->{'tmbDir'}.$DIRECTORY_SEPARATOR.$subdir);
-				}
-			}
-		}
-	}
-	
-
-
-	if ($cmd ne '')
-	{
-		my $func = $self->{CMD}->{$cmd};
-		$self->$func($self);
-		#$self->{RES}->{'error'} .= ' '.'cmd:'.$cmd." $self->{CMD}->{$cmd} <br>Targ - $self->{URL}->{'target'}<br>Cur -  $self->{URL}->{'current'}";
-	}
-	else
-	{
-		#$self->{RES}->{'error'} .= ' '.'1 cmd:'.$cmd;
-		$self->_open();
-	}
-}
-
-
-
-
-
-
-
-
-sub _isAllowed
-{
-	my ($self, $path, $action, $bool) = @_;
-#print "[$path, $action]\n";
-#return 'true';
-#print $self->{CONF}->{'defaul_isAllowed($self, $path, 'write')ts'}{$action};
-#if    ($action eq 'read'){return 'true'}
-#elsif ($action eq 'write'){return 'true'}
-#elsif ($action eq 'rm'){return 'true'}
-#return 'true';
-#print "$self->{CONF}->{'root'}[$action]\n";
-#$path = substr($path, length($self->{CONF}{'root'})+1);
-
-#foreach ($self->{CONF}->{'perms'} as $regex => $rules) { # Довести до ума
-#  if (preg_match($regex, $path)) {
-#      if (isset($rules[$action])) { return $rules[$action];}
-#  }
-#}
-
-	my $last_action = $self->{CONF}->{'defaults'}{$action};
-
-	if ($bool)
-	{
-		return ($last_action eq 'true') ? 1 : 0;
-	}
-	return ($last_action eq 'true') ? \1 : \0;
-	#return (exists $self->{CONF}->{'defaults'}{$action}) ? $self->{CONF}->{'defaults'}{$action} : \0;
-}
-
-
-sub _basename
-{
-	my ($path) = @_;
-	if (rindex($path, $DIRECTORY_SEPARATOR) == -1)
-	{
-		return $path;
-	}
-	return substr($path, rindex($path, $DIRECTORY_SEPARATOR) + 1);
-}
-
-sub is_dir
-{
-	my ($path)=@_;
-	if (-d "$path")
-	{
-		return 'true';
-	}
-	return 'false';
-}
-
-sub _isAccepted
-{
-	my ($self, $file) = @_;
-	$file = _basename($file);
-	if ('.' eq $file || '..' eq $file)
-	{
-		return 'false';
-	}
-	if ($self->{CONF}->{'dotFiles'} ne 'true' && '.' eq substr($file, 0, 1))
-	{
-		return 'false';
-	}
-	return 'true';
-}
-
-
-sub _tree
-{
-	my ($self, $path) = @_;
-	my %dir = (
-		'hash'  => _hash($path),
-		'name'  =>  $path eq $self->{CONF}->{'root'} && $self->{CONF}->{'rootAlias'} ne '' ? $self->{CONF}->{'rootAlias'} : _basename($path),
-		'read'  => _isAllowed($self, $path, 'read'),
-		'write' => _isAllowed($self, $path, 'write'),
-		'dirs'  => []
-	);
-	
-	if (_isAllowed($self, $path, 'read', 1))
-	{
-		opendir(DIR, $path);
-		my @content = grep { !/^\.{1,2}$/ } sort readdir(DIR);  
-		closedir(DIR);
-		foreach my $subdir (grep { -d "$path/$_" && _isAccepted($self,"$path/$_") eq 'true' } @content)
-		{
-			my %dirs = _tree($self,"$path/$subdir");
-			push @{$dir{'dirs'}}, { %dirs };
-		}
-	}
-	return %dir;
-}
-
-sub _cwd
-{
-	my ($self, $path) = @_;
-	my $rel = $self->{CONF}->{'rootAlias'} ne '' ? $self->{CONF}->{'rootAlias'} : _basename($self->{CONF}->{'root'});
-	my $name;
-	if ($path eq $self->{CONF}->{'root'})
-	{
-		$name = $rel;
-	}
-	else
-	{
-		$name = _basename($path);
-		$rel .= $DIRECTORY_SEPARATOR.substr($path, length($self->{CONF}->{'root'}) + 1);
-	}
-	%{$self->{RES}->{'cwd'}} = (
-		'hash'       => _hash($path),
-		'name'       => $name,
-		'mime'       => 'directory',
-		'rel'        => $rel,
-		'size'       => 0,
-		'date'       => 'now', # TODO
-		#'date'       => Libs::Others::LocalDate($self,$self->{CONF}->{'DateTimeFormat'},'',int(-M "$path")),
-		'read'       => _isAllowed($self, $path, 'read'),
-		'write'      => _isAllowed($self, $path, 'write'),
-		'rm'         => _isAllowed($self, $path, 'rm')
-	);
-}
-
-
-sub _cdc
-{
-	my ($self,$path) = @_;
-	opendir(DIR,$path);
-	my @content = grep {!/^\.{1,2}$/} sort readdir(DIR);
-	closedir(DIR);
-
-	$self->{RES}->{'cdc'} = [];
-	foreach my $subdir (grep {_isAccepted($self,"$path/$_") eq 'true'} sort {-f "$path/$a" cmp -f "$path/$b"} @content)
-	{
-		push @{$self->{RES}->{'cdc'}}, {_info($self,"$path/$subdir")};
-	}
-}
-
-
-sub _info
-{
-	my ($self, $path) = @_;
-	my @stat = (-l $path) ? lstat($path) : stat($path);
-	my %info = (
-		'hash'  => _hash($path),
-		'mime'  => -d $path ? 'directory' : $self->_mimetype($path),
-		'name'  => _basename($path), # Сделать замену двойных кавычек
-		'date'  => "$stat[9]", # TODO
-		#'date'  =>  Libs::Others::LocalDate($self,$self->{CONF}->{'DateTimeFormat'},'',$info[9]),
-		'size'  => -d $path ?  0 : $stat[7],
-		'read'  => _isAllowed($self, $path, 'read'),
-		'write' => _isAllowed($self, $path, 'write'),
-		'rm'    => _isAllowed($self, $path, 'rm'),
-	);
-	
-	if (-l $path)
-	{
-		$info{'link'} = '123';
-	}
-	if ($info{'mime'} ne 'directory')
-	{
-		if ($self->{CONF}->{'fileURL'} eq 'true' && $info{'read'})
-		{
-			$info{'url'} = _path2url($self, $path);
-		}
-		
-		if ($info{'mime'} =~ /image/)
-		{
-			#if ('false' != (my @s = Libs::Image::GetImgInfo($self,$path)))
-			#{
-			#	$info{'dim'} = $s[0].'x'.$s[1];
-			#}
-			if ($info{'read'} eq 'true')
-			{
-				$info{'resize'} = (exists $info{'dim'});
-				#$tmb = _tmbPath($self,$path);
-				#if (-f $tmb) {$info{'tmb'} = _path2url($self,$tmb);}
-				#elsif ($info{'resize'}) {$self->{RES}->{'tmb'} = 'true'}
-			}
-		}
-	}
-	return %info;
-}
-
-sub _path2url
-{
-	my ($self, $path) = @_;
-	my $url = substr $path, length $self->{CONF}->{'root'};
-	return $self->{CONF}->{'URL'}.$url;
-}
-
-sub _mimetype
-{
-	my ($self, $path) = @_;
-
-	use File::MimeInfo;
-	return mimetype($path);
-
-	if (rindex($path,$DIRECTORY_SEPARATOR) != -1)
-	{
-		$path = substr($path, rindex($path, $DIRECTORY_SEPARATOR) + 1);
-	}
-	my ($name, $ext);
-	if (rindex($path,'.') != -1)
-	{
-		$ext  = substr($path, rindex($path, '.') + 1);
-		$name = substr($path, 0, rindex($path,'.'));
-	}
-	else
-	{
-		$name = $path;
-	}
-	my $mt = $self->{CTYPE}->{lc($ext)};
-	$mt = ($mt ne '') ? $mt :'unknown;';
-	return $mt;
-}
-
-sub _content
-{
-	my ($self, $path, $tree) = @_;
-	_cwd($self, $path);
-	_cdc($self, $path);
-	if ($tree)
-	{
-		#$self->{RES}->{'tree'} = {};
-		$self->{RES}->{'tree'} = { _tree($self, $self->{CONF}->{'root'}) };
-	}
-}
-
-
-
-sub _open
-{
-	my ($self) = @_;
-	my $path = $self->{CONF}->{'root'};
-	my $p;
-
-	# try to load dir
-	if (exists $self->{REQUEST}->{'target'})
-	{
-		$p = _findDir($self, $self->{REQUEST}->{'target'});
-		if ('false' eq $p)
-		{
-			if (! exists $self->{REQUEST}->{'init'})
-			{
-				$self->{RES}->{'error'} .= 'Invalid parameters'. $p;
-			}
-		}
-		elsif (_isAllowed($self, $p, 'read') eq 'false')
-		{
-			if (! exists $self->{REQUEST}->{'init'}) {
-				$self->{RES}->{'error'} .= 'Access denied';
-			}
-		}
-		else
-		{
-			$path = $p;
-		}
-	}
-
-	if (exists $self->{REQUEST}->{'current'})
-	{
-		$self->{RES}->{'error'} .= $self->{URL}->{current}."<br>"
-	}
-
-	_content($self, $path, (exists $self->{REQUEST}->{'tree'}));
-}
-
-
-
-sub _utime
-{
-	my ($self) = @_;
-	return time().'0';
-}
-
-
-sub _findDir
-{
-	my ($self, $hash, $path) = @_;
-	my $p = 'false';
-	if ($path eq '')
-	{
-		$path = $self->{CONF}->{'root'};
-		if (_hash($path) eq $hash)
-		{
-			return $path;
-		}
-	}
-	opendir(DIR, $path);
-	my @content = grep {!/^\.{1,2}$/} sort readdir(DIR);  
-	closedir(DIR);
-
-	foreach my $subdir (grep {-d "$path/$_" } @content)
-	{
-		$p = $path.'/'.$subdir;
-
-		if (_hash($p) eq $hash || ($p = _findDir($self, $hash, $p)) ne 'false')
-		{
-			last;
-		}
-	}
-	return $p;
-}
-
-sub _hash
-{
-	#my ($self, $path) = @_;
-	return md5_hex(shift);
-}
-
-1;

vendors/elFinder/connectors/php/connector.php

-<?php
-
-error_reporting(0); // Set E_ALL for debuging
-
-if (function_exists('date_default_timezone_set')) {
-	date_default_timezone_set('Europe/Moscow');
-}
-
-include_once dirname(__FILE__) . DIRECTORY_SEPARATOR . 'elFinder.class.php';
-
-/**
- * Simple example how to use logger with elFinder
- **/
-class elFinderLogger implements elFinderILogger {
-	
-	public function log($cmd, $ok, $context, $err='', $errorData = array()) {
-		if (false != ($fp = fopen('./log.txt', 'a'))) {
-			if ($ok) {
-				$str = "cmd: $cmd; OK; context: ".str_replace("\n", '', var_export($context, true))."; \n";
-			} else {
-				$str = "cmd: $cmd; FAILED; context: ".str_replace("\n", '', var_export($context, true))."; error: $err; errorData: ".str_replace("\n", '', var_export($errorData, true))."\n";
-			}
-			fwrite($fp, $str);
-			fclose($fp);
-		}
-	}
-	
-}
-
-$opts = array(
-	'root'            => '../../files',                       // path to root directory
-	'URL'             => 'http://localhost/git/elfinder/files/', // root directory URL
-	'rootAlias'       => 'Home',       // display this instead of root directory name
-	//'uploadAllow'   => array('images/*'),
-	//'uploadDeny'    => array('all'),
-	//'uploadOrder'   => 'deny,allow'
-	// 'disabled'     => array(),      // list of not allowed commands
-	// 'dotFiles'     => false,        // display dot files
-	// 'dirSize'      => true,         // count total directories sizes
-	// 'fileMode'     => 0666,         // new files mode
-	// 'dirMode'      => 0777,         // new folders mode
-	// 'mimeDetect'   => 'internal',       // files mimetypes detection method (finfo, mime_content_type, linux (file -ib), bsd (file -Ib), internal (by extensions))
-	// 'uploadAllow'  => array(),      // mimetypes which allowed to upload
-	// 'uploadDeny'   => array(),      // mimetypes which not allowed to upload
-	// 'uploadOrder'  => 'deny,allow', // order to proccess uploadAllow and uploadAllow options
-	// 'imgLib'       => 'mogrify',       // image manipulation library (imagick, mogrify, gd)
-	// 'tmbDir'       => '.tmb',       // directory name for image thumbnails. Set to "" to avoid thumbnails generation
-	// 'tmbCleanProb' => 1,            // how frequiently clean thumbnails dir (0 - never, 100 - every init request)
-	// 'tmbAtOnce'    => 5,            // number of thumbnails to generate per request
-	// 'tmbSize'      => 48,           // images thumbnails size (px)
-	// 'fileURL'      => true,         // display file URL in "get info"
-	// 'dateFormat'   => 'j M Y H:i',  // file modification date format
-	// 'logger'       => null,         // object logger
-	// 'defaults'     => array(        // default permisions
-	// 	'read'   => true,
-	// 	'write'  => true,
-	// 	'rm'     => true
-	// 	),